summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristoph Mende <angelos@gentoo.org>2013-04-14 12:40:19 +0200
committerChristoph Mende <angelos@gentoo.org>2013-04-14 12:40:19 +0200
commit7d306b209c56d52769f709e06311970c2c814ef1 (patch)
treef0a1a0889e57a748ff7741b8c20a619028b96055
parentlightdm-pantheon-greeter: Initial import (diff)
downloadangelos-7d306b209c56d52769f709e06311970c2c814ef1.tar.gz
angelos-7d306b209c56d52769f709e06311970c2c814ef1.tar.bz2
angelos-7d306b209c56d52769f709e06311970c2c814ef1.zip
sync-xfce-overlay,commit-xfce-sync: Support other overlays
-rwxr-xr-xscripts/commit-xfce-sync.sh5
-rwxr-xr-xscripts/sync-xfce-overlay.sh5
2 files changed, 8 insertions, 2 deletions
diff --git a/scripts/commit-xfce-sync.sh b/scripts/commit-xfce-sync.sh
index 6d503a8..8d087fc 100755
--- a/scripts/commit-xfce-sync.sh
+++ b/scripts/commit-xfce-sync.sh
@@ -1,6 +1,9 @@
#!/bin/sh
-OVERLAY="$(portageq get_repo_path / xfce-dev)"
+repo_name="xfce-dev"
+[ $# -gt 0 ] && repo_name=$1
+OVERLAY="$(portageq get_repo_path / ${repo_name})"
+[ $? -eq 0 ] || exit 1
pushd "${OVERLAY}" >/dev/null
for i in $(git status --porcelain|grep ebuild|awk '{ print $2 }'); do
diff --git a/scripts/sync-xfce-overlay.sh b/scripts/sync-xfce-overlay.sh
index 91c5a9e..968e51e 100755
--- a/scripts/sync-xfce-overlay.sh
+++ b/scripts/sync-xfce-overlay.sh
@@ -1,6 +1,9 @@
#!/bin/bash
-OVERLAY="$(portageq get_repo_path / xfce-dev)"
+repo_name="xfce-dev"
+[ $# -gt 0 ] && repo_name=$1
+OVERLAY="$(portageq get_repo_path / ${repo_name})"
+[ $? -eq 0 ] || exit 1
PORTDIR="$(portageq portdir)"
# collect ebuilds